﻿@model UserViewModel 

@{ 
    ViewData["Title"] = "Details";
}

<section>
    <div class="gap gray-bg">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="row" id="page-contents">
                        <div class="col-lg-3">
                            <aside class="sidebar static">
                            </aside>
                        </div>
                        <div class="col-lg-6">
                            <div class="central-meta" id="fillContainer">
                                <div class="editing-info">
                                    <h5 class="f-title"><i class="ti-lock"></i>User Details</h5>

                                    <form>
                                        <div class="form-group">
                                            <label class="control-label">ID: @Model.Id</label><i class="mtrl-select"></i>
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label">Name: @Model.FirstName @Model.LastName</label><i class="mtrl-select"></i>
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label">Username: @Model.UserName</label><i class="mtrl-select"></i>
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label">Email: @Model.Email</label><i class="mtrl-select"></i>
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label">Age: @Model.Age</label><i class="mtrl-select"></i>
                                        </div>
                                        <div class="form-group">
                                            <label class="control-label">Banned: @Model.IsBanned</label><i class="mtrl-select"></i>
                                        </div>
                                        @if (Model.IsBanned)
                                        {
                                            <div class="form-group">
                                                <label class="control-label">Banned On: @Model.BannedOn</label><i class="mtrl-select"></i>
                                            </div>
                                            <div class="form-group">
                                                <label class="control-label">Ban Description: @Model.BanDescription</label><i class="mtrl-select"></i>
                                            </div>
                                        }
                                        <div class="submit-btns">
                                            <button asp-action="Users" class="mtr-btn"><span>Back</span></button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-3">
                            <aside class="sidebar static">
                            </aside>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>